Bug 673030 (perl-Locale-US) - Review Request: perl-Locale-US - Two letter codes for state identification in the United States and vice versa
Summary: Review Request: perl-Locale-US - Two letter codes for state identification in...
Keywords:
Status: CLOSED ERRATA
Alias: perl-Locale-US
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Locale-US/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-27 05:47 UTC by Iain Arnell
Modified: 2014-01-21 18:30 UTC (History)
5 users (show)

Fixed In Version: perl-Locale-US-1.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 06:11:26 UTC
paul: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-01-27 05:47:07 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Locale-US.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Locale-US-1.2-1.fc15.src.rpm

Description:
Map from US two-letter codes to states and vice versa.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2744972

*rt-0.10_01

Comment 1 Ralf Corsepius 2011-01-27 06:01:48 UTC
Looks like a probably dead and unmaintained perl-module to me, which seems to suffer from code-rott.

Esp. this bug seems rather serious to me:
https://rt.cpan.org/Public/Bug/Display.html?id=56989

I'd recommend to give the test-case provided in this ticket a try (I haven't).

Comment 2 Iain Arnell 2011-01-27 07:00:51 UTC
Yes, it's most likely dead and unmaintained, but it's used in one of Moose's tests (silently skipped at present) and in current Moose-1.9902-TRIAL is explicitly listed in META.json as "develop" requires.

I already spotted the bug and applied the patch (though I should probably have also added a corresponding test to prove that it works).

Comment 3 Iain Arnell 2011-01-28 05:12:41 UTC
I've updated the patch for rt#56989 to include a test case.


Spec URL: http://fedorapeople.org/~iarnell/review/perl-Locale-US.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Locale-US-1.2-2.fc15.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2747060

Comment 4 Paul Howarth 2011-03-21 16:39:21 UTC
rpmlint output:
perl-Locale-US.noarch: W: spelling-error Summary(en_US) versa -> avers, verse, verst
perl-Locale-US.noarch: W: spelling-error %description -l en_US versa -> avers, verse, verst
perl-Locale-US.src: W: spelling-error Summary(en_US) versa -> avers, verse, verst
perl-Locale-US.src: W: spelling-error %description -l en_US versa -> avers, verse, verst
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

These warnings are due to deficiencies in the US English dictionary and can
be dismissed.

Review checklist:

- package and spec file naming OK
- package meets guidelines
- license is OK for Fedora and matches upstream
- spec file written in English and is legible
- source tarball matches upstream
- package builds fine in mock for Rawhide (x86_64)
- buildreqs OK
- no locales, libraries, devel files etc. to concern us
- package not intended to be relocatable
- directory ownership is fine
- no duplicate files
- permissions fine
- macro usage is consistent
- code, not content
- no large docs
- not a GUI app
- works fine as part of Moose test suite

Requires:
perl(:MODULE_COMPAT_5.12.3)  
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
perl >= 0:5.006001
perl(Exporter)  
perl(strict)  
perl(warnings)  
rpmlib(PayloadIsXz) <= 5.2-1

Provides:
perl(Locale::US) = 1.2
perl-Locale-US = 1.2-2.fc16

Why not ship kruft2codes.pl as %doc rather than just deleting it, since it's
mentioned in the POD?

May as well fix the mis-spellings too:
https://rt.cpan.org/Public/Bug/Display.html?id=62218

Is %{?perl_default_filter} actually needed?

No blockers here.

APPROVED.

Comment 5 Iain Arnell 2011-03-22 03:57:10 UTC
New Package SCM Request
=======================
Package Name: perl-Locale-US
Short Description: Two letter codes for state identification in the United States and vice versa
Owners: iarnell
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 6 Iain Arnell 2011-03-22 04:02:38 UTC
(In reply to comment #4)
> Why not ship kruft2codes.pl as %doc rather than just deleting it, since it's
> mentioned in the POD?
> May as well fix the mis-spellings too:
> https://rt.cpan.org/Public/Bug/Display.html?id=62218

Yes, will do for both.

> Is %{?perl_default_filter} actually needed?

Probably not, but I see no harm in having it in most packages.

> APPROVED.

Thanks for the review.

Comment 7 Jason Tibbitts 2011-03-22 13:45:38 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-03-22 16:57:11 UTC
perl-Locale-US-1.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Locale-US-1.2-2.fc15

Comment 9 Fedora Update System 2011-03-22 16:57:19 UTC
perl-Locale-US-1.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Locale-US-1.2-2.fc14

Comment 10 Fedora Update System 2011-03-22 16:57:26 UTC
perl-Locale-US-1.2-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Locale-US-1.2-2.fc13

Comment 11 Fedora Update System 2011-03-23 04:44:38 UTC
perl-Locale-US-1.2-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2011-03-28 06:11:20 UTC
perl-Locale-US-1.2-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-03-31 16:57:01 UTC
perl-Locale-US-1.2-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-03-31 16:59:51 UTC
perl-Locale-US-1.2-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 15 Lubomir Rintel 2014-01-21 18:03:43 UTC
Package Change Request
======================
Package Name: perl-Locale-US
New Branches: epel7
Owners: lkundrak

The Fedora maintainer (iarnell) is not willing to maintain EPEL packages: http://fedoraproject.org/wiki/EPEL/ContributorStatusNo

Comment 16 Gwyn Ciesla 2014-01-21 18:30:46 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.